Package ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost

# Class ForpostDevice

java.lang.Object
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostBase
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostDevice

All Implemented Interfaces:
  `Idable`

public class ForpostDevice extends ForpostBase

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForpostDevice()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int[]`
  `getCameraIDList()`
  `LocalDateTime`
  `getCreationDate()`
  `String`
  `getDescription()`
  `String`
  `getSettings()`
  `int`
  `getTypeId()`
  `void`
  `setCameraIDList(int[] cameraIDList)`
  `ForpostDevice`
  `setCreationDate(LocalDateTime creationDate)`
  `ForpostDevice`
  `setDescription(String description)`
  `ForpostDevice`
  `setSettings(String settings)`
  `ForpostDevice`
  `setTypeId(int typeId)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostBase

  `get, getData, getId, getInt, getString, getString, put, setData, setId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForpostDevice

    public ForpostDevice()

- ## Method Details

  - ### getCreationDate

    public LocalDateTime getCreationDate()

  - ### getTypeId

    public int getTypeId()

  - ### getDescription

    public String getDescription()

  - ### getSettings

    public String getSettings()

  - ### getCameraIDList

    public int[] getCameraIDList()

  - ### setCreationDate

    public ForpostDevice setCreationDate(LocalDateTime creationDate)

  - ### setTypeId

    public ForpostDevice setTypeId(int typeId)

  - ### setDescription

    public ForpostDevice setDescription(String description)

  - ### setSettings

    public ForpostDevice setSettings(String settings)

  - ### setCameraIDList

    public void setCameraIDList(int[] cameraIDList)